contracts / InterestRateSwap / FloatingLeg

# FloatingLeg

`class FloatingLeg : CommonLeg`

### Constructors

<init>

`FloatingLeg(floatingRatePayer: Party, notional: Amount, paymentFrequency: Frequency, effectiveDate: LocalDate, effectiveDateAdjustment: DateRollConvention?, terminationDate: LocalDate, terminationDateAdjustment: DateRollConvention?, dayCountBasisDay: DayCountBasisDay, dayCountBasisYear: DayCountBasisYear, dayInMonth: Int, paymentRule: PaymentRule, paymentDelay: Int, paymentCalendar: BusinessCalendar, interestPeriodAdjustment: AccrualAdjustment, rollConvention: DateRollConvention, fixingRollConvention: DateRollConvention, resetDayInMonth: Int, fixingPeriod: DateOffset, resetRule: PaymentRule, fixingsPerPayment: Frequency, fixingCalendar: BusinessCalendar, index: String, indexSource: String, indexTenor: Tenor)`

### Properties

fixingCalendar | `var fixingCalendar: BusinessCalendar`
fixingPeriod | `var fixingPeriod: DateOffset`
fixingRollConvention | `var fixingRollConvention: DateRollConvention`
fixingsPerPayment | `var fixingsPerPayment: Frequency`
floatingRatePayer | `var floatingRatePayer: Party`
index | `var index: String`
indexSource | `var indexSource: String`
indexTenor | `var indexTenor: Tenor`
resetDayInMonth | `var resetDayInMonth: Int`
resetRule | `var resetRule: PaymentRule`
rollConvention | `var rollConvention: DateRollConvention`

### Inherited Properties

dayCountBasisDay | `val dayCountBasisDay: DayCountBasisDay`
dayCountBasisYear | `val dayCountBasisYear: DayCountBasisYear`
dayInMonth | `val dayInMonth: Int`
effectiveDate | `val effectiveDate: LocalDate`
effectiveDateAdjustment | `val effectiveDateAdjustment: DateRollConvention?`
interestPeriodAdjustment | `val interestPeriodAdjustment: AccrualAdjustment`
notional | `val notional: Amount`
paymentCalendar | `val paymentCalendar: BusinessCalendar`
paymentDelay | `val paymentDelay: Int`
paymentFrequency | `val paymentFrequency: Frequency`
paymentRule | `val paymentRule: PaymentRule`
terminationDate | `val terminationDate: LocalDate`
terminationDateAdjustment | `val terminationDateAdjustment: DateRollConvention?`

### Functions

copy

`fun copy(floatingRatePayer: Party = this.floatingRatePayer, notional: Amount = this.notional, paymentFrequency: Frequency = this.paymentFrequency, effectiveDate: LocalDate = this.effectiveDate, effectiveDateAdjustment: DateRollConvention? = this.effectiveDateAdjustment, terminationDate: LocalDate = this.terminationDate, terminationDateAdjustment: DateRollConvention? = this.terminationDateAdjustment, dayCountBasisDay: DayCountBasisDay = this.dayCountBasisDay, dayCountBasisYear: DayCountBasisYear = this.dayCountBasisYear, dayInMonth: Int = this.dayInMonth, paymentRule: PaymentRule = this.paymentRule, paymentDelay: Int = this.paymentDelay, paymentCalendar: BusinessCalendar = this.paymentCalendar, interestPeriodAdjustment: AccrualAdjustment = this.interestPeriodAdjustment, rollConvention: DateRollConvention = this.rollConvention, fixingRollConvention: DateRollConvention = this.fixingRollConvention, resetDayInMonth: Int = this.resetDayInMonth, fixingPeriod: DateOffset = this.fixingPeriod, resetRule: PaymentRule = this.resetRule, fixingsPerPayment: Frequency = this.fixingsPerPayment, fixingCalendar: BusinessCalendar = this.fixingCalendar, index: String = this.index, indexSource: String = this.indexSource, indexTenor: Tenor = this.indexTenor): FloatingLeg`

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`
toString | `open fun toString(): String`